copy_n.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::copy_n_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename O , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_iterator< I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >) ccconstexpr copy_n_result< I
| function template `copy_n`
CPP_TEMPLATE_AUX_0 O | ranges::copy_n (I first, iter_difference_t< I > n, O out)